//CFTTRenderToTextureOGLES - [2020-04-13 11:57:46]
#ifndef _CFTTRENDERTOTEXTUREOGLES_H_
#define _CFTTRENDERTOTEXTUREOGLES_H_

#include "CFTTRenderToTexture.h"
#include "CFTTRenderTargetOGLES.h"

/*
00223A78 CFTTRenderToTextureOGLES::CFTTRenderToTextureOGLES(EFTTTexFormat,int,int,uint,int,EFTTRTTZBufMode,bool,EFTTTextureType,uchar,CFTTRenderToTexture *)
00223E38 CFTTRenderToTextureOGLES::~CFTTRenderToTextureOGLES()
00223E88 CFTTRenderToTextureOGLES::~CFTTRenderToTextureOGLES()
00223E98 CFTTRenderToTextureOGLES::BeginRenderToTexture(CFTTClearSettings const&)
00223EE4 CFTTRenderToTextureOGLES::EndRenderToTexture(EFTTRTTCopyMode)
00224628 CFTTRenderToTextureOGLES::SetTarget(uchar,EFTTTextureTarget)
00224630 CFTTRenderToTextureOGLES::GetTexture()
00224634 CFTTRenderToTextureOGLES::GetRenderTargets()
00224638 CFTTRenderToTextureOGLES::GetDepthTexture()

vptr_CFTTRenderToTextureOGLES_328A80:
  CFTTRenderToTextureOGLES::~CFTTRenderToTextureOGLES()
  CFTTRenderToTextureOGLES::~CFTTRenderToTextureOGLES()
  CFTTRenderToTextureOGLES::BeginRenderToTexture(CFTTClearSettings const&)
  CFTTRenderToTextureOGLES::EndRenderToTexture(EFTTRTTCopyMode)
  CFTTRenderToTextureOGLES::SetTarget(uchar,EFTTTextureTarget)
  CFTTRenderToTextureOGLES::GetTexture()
  CFTTRenderToTextureOGLES::GetDepthTexture()
  CFTTRenderToTextureOGLES::GetRenderTargets()
  CFTTRenderToTexture::CopyCubeMap(EFTTRTTCopyMode,bool)
  CFTTRenderToTexture::ShareDepthBuffer(CFTTRenderToTexture*)
  CFTTRenderToTexture::EndShareDepthBuffer()

0x48
*/

class CFTTRenderToTextureOGLES : public CFTTRenderToTexture {
public:
  CFTTRenderToTextureOGLES(EFTTTexFormat,
                           int,
                           int,
                           uint,
                           int,
                           EFTTRTTZBufMode,
                           bool,
                           EFTTTextureType,
                           uchar,
                           CFTTRenderToTexture *);               //00223A78
  virtual ~CFTTRenderToTextureOGLES();                           //00223E38 //00223E88
  virtual void BeginRenderToTexture(CFTTClearSettings const &);  //00223E98
  virtual CFTTTexture *EndRenderToTexture(EFTTRTTCopyMode);      //00223EE4
  virtual void SetTarget(uchar, EFTTTextureTarget);              //00224628
  virtual CFTTTexture *GetTexture();                             //00224630
  virtual CFTTTexture *GetDepthTexture();                        //00224638
  virtual CFTTRenderTargetOGLES *GetRenderTargets();             //00224634

  CFTTRenderTargetOGLES mRenderTargetOGLES_8;
  GLenum eFrontFace_44;
};

#endif  //_CFTTRENDERTOTEXTUREOGLES_H_